#!/bin/bash
SRCTAR=airstrike-pre5-src.tar.gz
SRCDIR=airstrike-pre5-src
PATCHFILE=airstrike_autoconf.patch
AUTOMAKEDIR=/usr/share/automake-1.6
ICONFILE=airstrike48x48.png

echo Unpacking tarball

[ -f "$ICONFILE" ] || ( echo "Error: No $ICONFILE to add, plese copy it here"; exit )
[ -f "$SRCTAR" ] || ( echo "Error: No $ICONFILE to untar, plese copy it here"; exit )
[ -f "$PATCHFILE" ] || ( echo "Error: No $PATCHFILE to use, plese copy it here"; exit )


tar xzvf $SRCTAR

[ -d "$SRCDIR" ] || ( echo "No $SRCDIR to patch"; exit )


echo "1) changing directory structure"
[ -d $SRCDIR/data/data ] || {
    echo making data/data dir
    mkdir $SRCDIR/data/data

    echo moving everything in data to data/data
    mv -f $SRCDIR/data/*.* $SRCDIR/data/data

    echo moving pov to data/pov
    mv -f $SRCDIR/pov $SRCDIR/data/

    mv $SRCDIR/airstrikerc $SRCDIR/data

    #already moved    
    #echo moving sound to data/sound
    #mv -f $SRCDIR/sound $SRCDIR/data/
}


echo "renaming CHANGES to ChangeLog, which is required by automake (sorry I donno the way how to leave it with original name"
mv -f $SRCDIR/CHANGES $SRCDIR/ChangeLog


echo "Removing binary"
rm -f $SRCDIR/airstrike

echo "2) patching with autoconf stuff (please confirm by pressing ENTER)"
read ENTER
patch -d $SRCDIR -p 1 < $PATCHFILE


echo "3) Adding icon file"
cp "$ICONFILE" $SRCDIR/data

echo "4) making bootstrap for inicialization (please confirm by pressing ENTER)"
read ENTER
cd $SRCDIR
chmod +x bootstrap
./bootstrap
